form.h File Reference

`form` - finite element bilinear form More...

Go to the source code of this file.

## Classes

class | form_basic< T, M >

## Namespaces

| rheolef
| This file is part of Rheolef.
| rheolef::details

## Functions

template<class T , class M >
form_basic< T, M > | trans (const form_basic< T, M > &a)
template<class T , class M >
field_basic< T, M > | diag (const form_basic< T, M > &a)
template<class T , class M >
form_basic< T, M > | diag (const field_basic< T, M > &dh)
template<class T , class M >
form_basic< T, M > | operator* (const T &lambda, const form_basic< T, M > &a)
template<class T , class M >
form_basic< T, M > | operator- (const form_basic< T, M > &a)

## Detailed Description

`form` - finite element bilinear form

Definition in file form.h.